Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jp.sbi.celldesigner.plugin.util
Class PluginSpeciesSymbolType

    java.lang.Object
      jp.sbi.celldesigner.plugin.util.PluginSpeciesSymbolType

    public class PluginSpeciesSymbolType

extends java.lang.Object

This class defines ReactionType for PluginReaction.

Author:

Field Summary
`static java.lang.String` | `ANTISENSE_RNA` ANTISENSE_RNA
`static java.lang.String` | `COMPLEX` COMPLEX
`static java.lang.String` | `DEGRADED` DEGRADED
`static java.lang.String` | `DRUG`
`static java.lang.String` | `GENE` GENE
`static java.lang.String` | `ION` ION
`static java.lang.String` | `PHENOTYPE` PHENOTYPE
`static java.lang.String` | `PROTEIN` PROTEIN
`static java.lang.String` | `PROTEIN_GENERIC` GENERIC
`static java.lang.String` | `PROTEIN_ION_CHANNEL` ION_CHANNEL
`static java.lang.String` | `PROTEIN_RECEPTOR` RECEPTOR
`static java.lang.String` | `PROTEIN_TRUNCATED` TRUNCATED
`static java.lang.String` | `RNA` RNA
`static java.lang.String` | `SIMPLE_MOLECULE` SIMPLE_MOLECULE
`static java.lang.String` | `UNKNOWN` UNKNOWN

Constructor Summary
`PluginSpeciesSymbolType()`

Method Summary
`static java.awt.Color` | `getDefaultColor(java.lang.String speciesType)` Gets the default color of the given speciesType.
`static double` | `getDefaultLineWidth(java.lang.String speciesType)` Gets the default linewidth of the given speciesType.
`static java.awt.Dimension` | `getDefaultSize(java.lang.String speciesType)` Gets the default size of the given speciesType.
`static boolean` | `isValidProteinsType(PluginProtein sp)`
`static boolean` | `isValidSpeciesAliasType(PluginSpeciesAlias sp)`
`static boolean` | `isValidSpeciesType(PluginSpecies sp)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROTEIN

    public static final java.lang.String PROTEIN

  PROTEIN

  See Also:
    Constant Field Values

### PROTEIN_GENERIC

    public static final java.lang.String PROTEIN_GENERIC

  GENERIC

  See Also:
    Constant Field Values

### PROTEIN_RECEPTOR

    public static final java.lang.String PROTEIN_RECEPTOR

  RECEPTOR

  See Also:
    Constant Field Values

### PROTEIN_ION_CHANNEL

    public static final java.lang.String PROTEIN_ION_CHANNEL

  ION_CHANNEL

  See Also:
    Constant Field Values

### PROTEIN_TRUNCATED

    public static final java.lang.String PROTEIN_TRUNCATED

  TRUNCATED

  See Also:
    Constant Field Values

### GENE

    public static final java.lang.String GENE

  GENE

  See Also:
    Constant Field Values

### RNA

    public static final java.lang.String RNA

  RNA

  See Also:
    Constant Field Values

### ANTISENSE_RNA

    public static final java.lang.String ANTISENSE_RNA

  ANTISENSE_RNA

  See Also:
    Constant Field Values

### PHENOTYPE

    public static final java.lang.String PHENOTYPE

  PHENOTYPE

  See Also:
    Constant Field Values

### ION

    public static final java.lang.String ION

  ION

  See Also:
    Constant Field Values

### SIMPLE_MOLECULE

    public static final java.lang.String SIMPLE_MOLECULE

  SIMPLE_MOLECULE

  See Also:
    Constant Field Values

### UNKNOWN

    public static final java.lang.String UNKNOWN

  UNKNOWN

  See Also:
    Constant Field Values

### COMPLEX

    public static final java.lang.String COMPLEX

  COMPLEX

  See Also:
    Constant Field Values

### DEGRADED

    public static final java.lang.String DEGRADED

  DEGRADED

  See Also:
    Constant Field Values

### DRUG

    public static final java.lang.String DRUG

See Also:
  Constant Field Values

Constructor Detail

### PluginSpeciesSymbolType

    public PluginSpeciesSymbolType()

Method Detail

### isValidSpeciesAliasType

    public static boolean isValidSpeciesAliasType(PluginSpeciesAlias sp)

  Parameters:
    `sp` - PluginSpeciesAlias
  Returns:
    true if type of the given PluginSpeciesAlias is the one of the following fields of this PluginSpeciesSymbolType: ANTISENSE_RNA, COMPLEX, GENE, ION, PHENOTYPE, RNA, SIMPLE_MOLECULE, UNKNOWN, PROTEIN and DEGRADED, false otherwise.

### isValidSpeciesType

    public static boolean isValidSpeciesType(PluginSpecies sp)

  Parameters:
    `sp` -
  Returns:
    true if the extensionType of the given PluginSpecies is the one of the following fields of this PluginSpeciesSymbolType: PROTEIN_GENERIC, PROTEIN_ION_CHANNEL, PROTEIN_RECEPTOR, PROTEIN_TRUNCATED, ANTISENSE_RNA, COMPLEX, GENE, ION, PHENOTYPE, RNA, SIMPLE_MOLECULE, PROTEIN, UNKNOWN DEGRADED and DRUG, false otherwise.

### isValidProteinsType

    public static boolean isValidProteinsType(PluginProtein sp)

  Parameters:
    `sp` -
  Returns:
    true if the type of the given PluginProtein is the one of the following fields of this PluginSpeciesSymbolType: PROTEIN_GENERIC, PROTEIN_ION_CHANNEL, PROTEIN_RECEPTOR or PROTEIN_TRUNCATED, false otherwise

### getDefaultSize

    public static java.awt.Dimension getDefaultSize(java.lang.String speciesType)

  Gets the default size of the given speciesType.

  Parameters:
    `speciesType` -
  Returns:
    size (Dimension)

### getDefaultColor

    public static java.awt.Color getDefaultColor(java.lang.String speciesType)

  Gets the default color of the given speciesType.

  Parameters:
    `speciesType` -
  Returns:
    color

### getDefaultLineWidth

    public static double getDefaultLineWidth(java.lang.String speciesType)

  Gets the default linewidth of the given speciesType.

  Parameters:
    `speciesType` -
  Returns:
    linewidth

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD